Attempt to use login/password authentication for AuthSourceExternal leads to traceback

02/25/2014 09:41 AM - Jan Pazdziora

Status: Closed   

Priority: Normal   

Assignee: Jan Pazdziora   

Category: Authentication   

Target version: 1.4.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a user is populated in AuthSourceExternal in the 

http://projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb setup, an attempt to do non-Kerberos

authentication on /users/login leads to

Oops, we're sorry but something went wrong

Warning!

undefined local variable or method `__class__' for #

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing s

ystem, You would probably need to attach the Full trace and relevant log entries.

NameError

undefined local variable or method `__class__' for #<AuthSourceExternal:0x00000005d3cac0>

app/models/auth_sources/auth_source_external.rb:4:in `authenticate'

app/models/user.rb:116:in `try_to_login'

app/controllers/users_controller.rb:63:in `login'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Back

Associated revisions

Revision a416bb57 - 03/07/2014 10:21 AM - Jan Pazdziora

fixes #4442 - returning nil plays nice with try_to_login.

Revision 99273ffa - 03/12/2014 10:42 AM - Jan Pazdziora

fixes #4442 - returning nil plays nice with try_to_login.

(cherry picked from commit a416bb573dedf6c34592afec17fbbec96691a5e6)

History

#1 - 02/25/2014 09:54 AM - Dominic Cleal

- Category set to Authentication

- translation missing: en.field_release deleted (2)

#2 - 02/25/2014 10:04 AM - Jan Pazdziora

Filed pull request https://github.com/theforeman/foreman/pull/1252

#3 - 02/25/2014 10:08 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Jan Pazdziora

05/18/2024 1/2

http://projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb
https://github.com/theforeman/foreman/pull/1252


- Target version set to 1.9.1

#4 - 03/03/2014 12:52 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#5 - 03/07/2014 10:20 AM - Dominic Cleal

- translation missing: en.field_release set to 7

#6 - 03/07/2014 02:31 PM - Jan Pazdziora

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a416bb573dedf6c34592afec17fbbec96691a5e6.
